#version 300 es

uniform sampler2D textureMap;
uniform mediump vec4 tint;

in mediump vec2 vTexCoord;

out highp vec4 fragColor;

void main()
{
    fragColor = tint * texture( textureMap, vTexCoord );

    fragColor = pow( fragColor, vec4( 1.0 / 2.2 ) );
}

