#include "Shader.hpp"
#include "Matrix.hpp"
#include "RendererImpl.hpp"
#include "Texture.hpp"
#include "Vec3.hpp"
#include <fstream>
#include <iostream>
#include <cassert>

struct Shader::Impl
{
    std::string fragmentPath;
};

Shader::Shader() : m( new Impl ) {}

Shader::~Shader() {}

Shader& Shader::operator=( const Shader& )
{
    return *this;
}

void Shader::Deinit()
{

}

bool Shader::Equals( const Shader& /*other*/ ) const
{
    return false;
}

const std::string& Shader::FragmentPath() const
{
    return m->fragmentPath;
}

void Shader::Load( const std::string&,
                          const std::string& fragmentShaderPath,
                          const std::string&,
                          const std::string&, Error::Enum& outError )
{
    m->fragmentPath = fragmentShaderPath;
    outError = Error::NO_ERRORS;
    return;
}

Error::Enum Shader::Reload( const std::string&,
                         const std::string&,
                         const std::string&,
                         const std::string& )
{
    return Error::NO_ERRORS;
}

void Shader::SetConstantBuffers()
{
}

void Shader::SetFloat( const std::string&, float )
{
}

void Shader::SetInt( const std::string&, int )
{
}

void Shader::SetMatrix( const std::string&, const Matrix44& )
{
}

void Shader::SetMatrices( const std::string&, const Matrix44*, int )
{
}

void Shader::SetTexture( const std::string&, const TextureImpl*, int )
{
}

void Shader::SetVector( const std::string&, const Vec3& )
{
}

void Shader::SetVector( const std::string&, const Vec4& )
{
}

void Shader::SetVectors( const std::string&, const Vec3*, int )
{
}

void Shader::SetVectors( const std::string&, const Vec4*, int )
{
}

void Shader::UnbindTextures()
{

}

void Shader::Use()
{
}
