#ifdef AETHER3D_WINDOWS
#include "KeyboardInputWin.hpp"

extern "C" __declspec(dllexport) KeyboardInput* CreateKeyboardInput()
{
    return new KeyboardInputWin();
}

bool KeyboardInputWin::sKeyDown[ 256 ] = { false };

KeyboardInputWin::KeyboardInputWin()
{
    mKeys[ ae3d::keyboardinput::KEY_a ] = 'A';
    mKeys[ ae3d::keyboardinput::KEY_b ] = 'B';
    mKeys[ ae3d::keyboardinput::KEY_c ] = 'C';
    mKeys[ ae3d::keyboardinput::KEY_d ] = 'D';
    mKeys[ ae3d::keyboardinput::KEY_e ] = 'E';
    mKeys[ ae3d::keyboardinput::KEY_f ] = 'F';
    mKeys[ ae3d::keyboardinput::KEY_g ] = 'G';
    mKeys[ ae3d::keyboardinput::KEY_h ] = 'H';
    mKeys[ ae3d::keyboardinput::KEY_i ] = 'I';
    mKeys[ ae3d::keyboardinput::KEY_j ] = 'J';
    mKeys[ ae3d::keyboardinput::KEY_k ] = 'K';
    mKeys[ ae3d::keyboardinput::KEY_l ] = 'L';
    mKeys[ ae3d::keyboardinput::KEY_m ] = 'M';
    mKeys[ ae3d::keyboardinput::KEY_n ] = 'N';
    mKeys[ ae3d::keyboardinput::KEY_o ] = 'O';
    mKeys[ ae3d::keyboardinput::KEY_p ] = 'P';
    mKeys[ ae3d::keyboardinput::KEY_q ] = 'Q';
    mKeys[ ae3d::keyboardinput::KEY_r ] = 'R';
    mKeys[ ae3d::keyboardinput::KEY_s ] = 'S';
    mKeys[ ae3d::keyboardinput::KEY_t ] = 'T';
    mKeys[ ae3d::keyboardinput::KEY_u ] = 'U';
    mKeys[ ae3d::keyboardinput::KEY_v ] = 'V';
    mKeys[ ae3d::keyboardinput::KEY_w ] = 'W';
    mKeys[ ae3d::keyboardinput::KEY_x ] = 'X';
    mKeys[ ae3d::keyboardinput::KEY_y ] = 'Y';
    mKeys[ ae3d::keyboardinput::KEY_z ] = 'Z';
}

bool KeyboardInputWin::IsDown( ae3d::keyboardinput::Enum key ) const
{
    return sKeyDown[ (int)key ];
}

#endif
