#ifndef STATISTICS_H
#define STATISTICS_H

namespace Statistics
{
    void EndFrame();
    void IncDrawCalls();
    void IncTextureSwitches();
    void IncRenderTargetSwitches();
    void IncShaderSwitches();
    void IncBufferSwitches();
    int BufferSwitches();
    int DrawCalls();
    int TextureSwitches();
    int RenderTargetSwitches();
    int ShaderSwitches();
}

#endif
