#version 300 es

uniform lowp vec3 texelOffset; // Only x and y are used.

layout (location = 0) in highp vec4 aPosition;
layout (location = 1) in lowp vec2 aTexCoord;

out lowp vec2 vTexCoord0;
out lowp vec2 vTexCoord1;
out lowp vec2 vTexCoord2;

void main()
{
    gl_Position = aPosition;
    vTexCoord0 = aTexCoord - texelOffset.xy;
    vTexCoord1 = aTexCoord;
    vTexCoord2 = aTexCoord + texelOffset.xy;
}
