#ifndef KEYBOARD_INPUT_SDL_H
#define KEYBOARD_INPUT_SDL_H

#ifndef KEYBOARD_INPUT_H
#    include "KeyboardInput.hpp"
#endif

class KeyboardInputSDL : public KeyboardInput
{
  public:
    virtual ~KeyboardInputSDL() {}

    /**
       Constructor, inits key codes.
     */
    KeyboardInputSDL();

    /**
       Reports key down state.
       \param key Key to be tested.
       \return True, if the key is down, false otherwise.
     */
    bool IsDown( ae3d::keyboardinput::Enum key ) const override;

  private:
    int mKeys[ 256 ];
};

#endif
